/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern p3d_localpath *p3d_localpath_from_traj ( p3d_localpath *localpathPt, double length, double *distlocPt );
extern int p3d_optim_traj ( p3d_traj *trajPt, double *gain, int *ntest );
extern void p3d_simplify_traj ( p3d_traj *trajPt );
extern void p3d_remove_useless_nodes(p3d_traj* traj);
extern int p3d_optimize_traj(p3d_rob* robot, p3d_traj* traj, int rand, int elastic, int clean, void (*fct_draw)(void));
extern int fct_stop_optim(void);
extern double p3d_get_d0 ( void );
extern double p3d_get_eps_elastic(void);
extern int p3d_get_QUICK_DESCENT ( void );
extern double p3d_run_simple_shortcut(p3d_traj *trajPt,int maxit,double maxtime,double maxgain);
extern double p3d_run_random_gradient_descent(p3d_rob *robotPt,p3d_traj *trajPt,p3d_localpath *lp,double dq,int maxit,double maxtime,double maxgain);
#endif /* __CEXTRACT__ */
